排序:
默认
按更新时间
按访问量

Linux下安装jdk及配置

Linux下安装JDK1.81、jdk下载地址:http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html2、下载好安装包后,在/usr/local/目录下创建java目录:        ...

2018-05-19 17:44:39

阅读数:13

评论数:0

eclipse代码编辑缩进线(Indent Guide)插件安装

    我想很多人也跟我一样,想用eclipse的时候也出现代码编辑缩进线,代码还看起来舒服很多,如下效果:        首先去下载插件,在网上查了很多都是这个网址https://sschaef.github.io/IndentGuide,但是这个网址现在进不去,还好运气好还是让我找到网址了,这...

2018-05-06 11:46:01

阅读数:662

评论数:0

spring-test+JUnit实现springMVC测试用例

        利用spring-test与JUnit来测试代码能给我们带来很多便利,所以简单写一篇spring-test与JUnit的测试实例1、加入jar包:<dependency> <groupId&gt...

2018-04-16 18:03:17

阅读数:42

评论数:0

JDK 动态代理

        代理模式,现在基本每个框架都在用,所以弄懂动态代理很有必要,我们先看一个代理模式图根据上面的图我们来实现JDK的动态代理:1、创建Subject接口;2、创建实现Subject的实现子类RealSubject;3、创建实现InvocationHandler的实现子类;4、创建Rea...

2018-04-15 20:13:24

阅读数:95

评论数:0

Json 请求出现 Status Code: 406 Not Acceptable

        这个问题也是搅了半天,才弄好这个问题,写出来是希望大家不要出现同样的问题,关键是避免自己以后现在同样问题。前端JavaScript代码:function getJsonData(){ $.ajax({ // 传输数据的方式:POST/GET type :...

2018-04-15 09:43:25

阅读数:1033

评论数:0

No mapping found for HTTP request with URI [/xxx/xxx] in DispatcherServlet

    这个错误,花我好几个小时,才发现问题所在,所以记录下来,以防有人遇到跟我一样的问题,也防止以后自己再次出现同样的问题。前端的JavaScript代码如下:function getJsonData(){ $.ajax({ // 传输数据的方式:POST/GET t...

2018-04-15 09:11:39

阅读数:44

评论数:0

Mybatis学习笔记(一)

    我们学习一样新东西时,要首先去官网,看官方文档,Mybatis的官方文档 http://www.mybatis.org/mybatis-3/zh/getting-started.html       关键步骤:  1、从官网下载jar包 :https://github.com/mybati...

2018-04-02 09:27:15

阅读数:23

评论数:0

java中int与Integer用==比较详解

前言:    越是简单的东西,我们往往越是没有去把它明白,但我们大部分时间又常常在用,就像我们今天说的int与Integer的使用,我们程序员基本天天都在用,但是我今天没用详细弄清楚之前我也是不清楚,我们来看看这两个在用==号比较给我们带来的疑问。        先看看下面的代码,看看我们是否都会...

2018-03-19 23:02:04

阅读数:81

评论数:0

springMVC无法访问静态资源问题

解决这个问题涉及到两个方面的问题: 配置问题 、引入静态文件问题1、配置问题web.xml配置的DispatchServlet如下:        <servlet> <servlet-name>sprin...

2018-03-14 18:14:57

阅读数:414

评论数:0

Version 1.6.0 of the JVM is not suitable for the this product.Version:1.8 or greater is required

这个问题时在打开eclipse时报的一个错误,报这个问题的意思我们都明白,说的就是当前版本的jdk版本太低,eclipse需要更高版本的jdk。 那就下一个更高版本的jdk就可以啦,这里我要说说我当时的想法(有可能有些人会出现我一样的想法或是情况),有以下两种情况: 1、公司只要去1.6版本的...

2017-04-18 08:44:41

阅读数:11196

评论数:2

PL/SQL变量名和表中列名相同的错误

例子: declare      empno

2014-06-24 14:19:13

阅读数:283

评论数:0

安装两个不同版本的Jdk,改了path路径,但还是显示之前jdk版本号

今天来新公司时,新公司都用的是jdk1.5,让我装jdk1.5,而我电脑之前装的是jdk1.6,但是当我把jdk1.5装好后,path路径也改成了jdk1.5的路径了,但是在dos下敲下java -version查看版本时,还是显示的jdk1.6版本!   解决方案: 将Windows\...

2014-03-31 11:57:42

阅读数:3157

评论数:0

android导入外部数据库的使用

在android中有时候要用到外部已经生产好了的数据库文件,我们该如何访问外部已经写好的数据库文件呢?    第一步,把数据库文件拷贝到我们的安卓项目下的assets目录下,如下:                                      第二步,android中不是不能直接...

2014-01-10 16:18:13

阅读数:886

评论数:0

提示
确定要删除当前文章?
取消 删除
关闭
关闭